from src.models.abstract_reference import abstract_reference


class export:
    """Базовый класс стратегии экспорта"""

    def get_properties(self, model: abstract_reference):
        properties = {}
        for name in dir(model.__class__):
            if name == "error":
                continue
            attr = getattr(model.__class__, name)
            if isinstance(attr, property):
                properties[name] = attr.fget(model)
        return properties

    def export_header(model: abstract_reference):
        """
            Создать заголовок экспорта
        Args:
            model (abstract_reference): модель, по которой нужно построить заголовок
        """

        pass

    def export_model(model: abstract_reference):
        """
            Экспортировать модель
        Args:
            model (abstract_reference): модель, строку с которой нужно создать
        """

        pass

    @property
    def mimetype(self):
        """Mimetype"""

        pass
