from src.export.strategies.export import export
from src.models.abstract_reference import abstract_reference


class json_export(export):
    """Класс стратегии для экспорта в JSON"""

    def export_header(self, model: abstract_reference):
        """
            Создать заголовок экспорта
        Args:
            model (abstract_reference): модель, по которой нужно построить заголовок
        """
        pass

    def export_model(self, model: abstract_reference):
        """
            Экспортировать модель
        Args:
            model (abstract_reference): модель, строку с которой нужно создать
        """
        pass

    @property
    def mimetype(self):
        return "application/json"
